Bug 185474 - repoview provides Web interface for mirrors
repoview provides Web interface for mirrors
Status: CLOSED WONTFIX
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Karsten Wade
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-14 18:49 EST by Stuart Ellis
Modified: 2009-07-07 00:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-08 01:37:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add a section on repoview (3.28 KB, patch)
2006-05-07 17:34 EDT, Stuart Ellis
no flags Details | Diff

  None (edit)
Description Stuart Ellis 2006-03-14 18:49:36 EST
The repoview package in Extras enables the administrator to generate a very nice
set of searchable Web pages for their mirror, and optionally an RSS feed (it's
used by Rawhide and Extras).

Usage is like this:

repoview -t "My Local Mirror" -u
http://www.myserver.mydomain.com/mirror/i386/repodata/ /var/www/html/mirror/i386/

-t: Page Title
-u: generate RSS, to be available at this URL
-q: "quiet" (for cron jobs)

The Web interface would then be available at:
http://www.myserver.mydomain.com/mirror/repodata/

I'll file a proper patch a bit later.
Comment 1 Stuart Ellis 2006-05-07 17:34:48 EDT
Created attachment 128717 [details]
Patch to add a section on repoview

This patch adds a new section on repoview within section 3.4.
Comment 2 Paul W. Frields 2007-12-08 01:37:06 EST
The mirror-tutorial is obsolete and no longer maintained.  For current mirroring
information pertinent to end users and mirror administrators, refer to:

http://fedoraproject.org/wiki/Infrastructure/MirrorManager
Comment 3 eric@christensenplace.us 2009-07-07 00:09:37 EDT
Ticket moved to allow products to be removed from BZ.

Note You need to log in before you can comment on or make changes to this bug.